Patch Package OTP 20.1.3 Released

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Patch Package OTP 20.1.3 Released

John Högberg
Patch Package:           OTP 20.1.3
Git Tag:                 OTP-20.1.3
Date:                    2017-10-25
Trouble Report Id:       OTP-13372, OTP-14672, OTP-14684, OTP-14694
Seq num:                 ERIERL-73, ERIERL-85, ERL-494
System:                  OTP
Release:                 20
Application:             diameter-2.1.2, erts-9.1.3, snmp-5.2.8
Predecessor:             OTP 20.1.2

 Check out the git tag OTP-20.1.3, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- diameter-2.1.2 --------------------------------------------------
 ---------------------------------------------------------------------

 The diameter-2.1.2 application can be applied independently of other
 applications on a full OTP 20 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-14684    Application(s): diameter
               Related Id(s): ERIERL-85

               A fault introduced in diameter 2.1 could cause decode
               errors to be ignored in AVPs following the header of a
               Grouped AVP.


 Full runtime dependencies of diameter-2.1.2: erts-6.4, kernel-3.2,
 ssl-6.0, stdlib-2.4


 ---------------------------------------------------------------------
 --- erts-9.1.3 ------------------------------------------------------
 ---------------------------------------------------------------------

 The erts-9.1.3 application can be applied independently of other
 applications on a full OTP 20 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-14672    Application(s): erts
               Related Id(s): ERL-494

               Added zlib:set_controlling_process/2 to move a
               zstream() between processes.


  OTP-14694    Application(s): erts

               Fix so that schedulers are bound correctly when the
               first available cpu is not the first detected cpu. e.g.
               when using "taskset -c X..Y" when X is not equal to 0.


 Full runtime dependencies of erts-9.1.3: kernel-5.0, sasl-3.0.1,
 stdlib-3.0


 ---------------------------------------------------------------------
 --- snmp-5.2.8 ------------------------------------------------------
 ---------------------------------------------------------------------

 The snmp-5.2.8 application can be applied independently of other
 applications on a full OTP 20 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-13372    Application(s): snmp
               Related Id(s): ERIERL-73

               The recbuf configuration option was not propagated
               correctly to the socket for the SNMP Manager.


 Full runtime dependencies of snmp-5.2.8: crypto-3.3, erts-6.0,
 kernel-3.0, mnesia-4.12, runtime_tools-1.8.14, stdlib-2.5


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Patch Package OTP 20.1.3 Released

Loïc Hoguin-3
On 10/25/2017 08:11 AM, John Högberg wrote:>
  ---------------------------------------------------------------------

>   --- erts-9.1.3 ------------------------------------------------------
>   ---------------------------------------------------------------------
>
>   The erts-9.1.3 application can be applied independently of other
>   applications on a full OTP 20 installation.
>
>   --- Fixed Bugs and Malfunctions ---
>
>    OTP-14672    Application(s): erts
>                 Related Id(s): ERL-494
>
>                 Added zlib:set_controlling_process/2 to move a
>                 zstream() between processes.

Thanks for that! I will try it as soon as possible.

--
Loïc Hoguin
https://ninenines.eu
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Patch Package OTP 20.1.3 Released

austin aigbe-2
In reply to this post by John Högberg
Thanks John.

How do I install diameter-2.1 on Windows without installing from source? Previous versions come with all the modules precompiled.

I just noticed that the diameter beam files are not included in OTP 20.1. 

I keep getting the following error after upgrading from OTP 19.3 to OTP 20.1

11> ls().
cx_ts29229_v1270.dia     
ok
12> diameter_make:codec("cx_ts29229_v1270.dia", [erl]).
** exception error: undefined function diameter_make:codec/2
13> 

Is installing from source the only option? 

Inline image 1



On Wed, Oct 25, 2017 at 8:11 AM, John Högberg <[hidden email]> wrote:
Patch Package:           OTP 20.1.3
Git Tag:                 OTP-20.1.3
Date:                    2017-10-25
Trouble Report Id:       OTP-13372, OTP-14672, OTP-14684, OTP-14694
Seq num:                 ERIERL-73, ERIERL-85, ERL-494
System:                  OTP
Release:                 20
Application:             diameter-2.1.2, erts-9.1.3, snmp-5.2.8
Predecessor:             OTP 20.1.2

 Check out the git tag OTP-20.1.3, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- diameter-2.1.2 --------------------------------------------------
 ---------------------------------------------------------------------

 The diameter-2.1.2 application can be applied independently of other
 applications on a full OTP 20 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-14684    Application(s): diameter
               Related Id(s): ERIERL-85

               A fault introduced in diameter 2.1 could cause decode
               errors to be ignored in AVPs following the header of a
               Grouped AVP.


 Full runtime dependencies of diameter-2.1.2: erts-6.4, kernel-3.2,
 ssl-6.0, stdlib-2.4


 ---------------------------------------------------------------------
 --- erts-9.1.3 ------------------------------------------------------
 ---------------------------------------------------------------------

 The erts-9.1.3 application can be applied independently of other
 applications on a full OTP 20 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-14672    Application(s): erts
               Related Id(s): ERL-494

               Added zlib:set_controlling_process/2 to move a
               zstream() between processes.


  OTP-14694    Application(s): erts

               Fix so that schedulers are bound correctly when the
               first available cpu is not the first detected cpu. e.g.
               when using "taskset -c X..Y" when X is not equal to 0.


 Full runtime dependencies of erts-9.1.3: kernel-5.0, sasl-3.0.1,
 stdlib-3.0


 ---------------------------------------------------------------------
 --- snmp-5.2.8 ------------------------------------------------------
 ---------------------------------------------------------------------

 The snmp-5.2.8 application can be applied independently of other
 applications on a full OTP 20 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-13372    Application(s): snmp
               Related Id(s): ERIERL-73

               The recbuf configuration option was not propagated
               correctly to the socket for the SNMP Manager.


 Full runtime dependencies of snmp-5.2.8: crypto-3.3, erts-6.0,
 kernel-3.0, mnesia-4.12, runtime_tools-1.8.14, stdlib-2.5


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions


_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions
Reply | Threaded
Open this post in threaded view
|

Re: Patch Package OTP 20.1.3 Released

austin aigbe-2
I upgraded from the following version:

Erlang/OTP 20 [erts-9.0] [64-bit] [smp:4:4] [ds:4:4:10] [async-threads:10]

Eshell V9.0  (abort with ^G)


On Sun, Nov 12, 2017 at 9:54 AM, austin aigbe <[hidden email]> wrote:
Thanks John.

How do I install diameter-2.1 on Windows without installing from source? Previous versions come with all the modules precompiled.

I just noticed that the diameter beam files are not included in OTP 20.1. 

I keep getting the following error after upgrading from OTP 19.3 to OTP 20.1

11> ls().
cx_ts29229_v1270.dia     
ok
12> diameter_make:codec("cx_ts29229_v1270.dia", [erl]).
** exception error: undefined function diameter_make:codec/2
13> 

Is installing from source the only option? 

Inline image 1



On Wed, Oct 25, 2017 at 8:11 AM, John Högberg <[hidden email]> wrote:
Patch Package:           OTP 20.1.3
Git Tag:                 OTP-20.1.3
Date:                    2017-10-25
Trouble Report Id:       OTP-13372, OTP-14672, OTP-14684, OTP-14694
Seq num:                 ERIERL-73, ERIERL-85, ERL-494
System:                  OTP
Release:                 20
Application:             diameter-2.1.2, erts-9.1.3, snmp-5.2.8
Predecessor:             OTP 20.1.2

 Check out the git tag OTP-20.1.3, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- diameter-2.1.2 --------------------------------------------------
 ---------------------------------------------------------------------

 The diameter-2.1.2 application can be applied independently of other
 applications on a full OTP 20 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-14684    Application(s): diameter
               Related Id(s): ERIERL-85

               A fault introduced in diameter 2.1 could cause decode
               errors to be ignored in AVPs following the header of a
               Grouped AVP.


 Full runtime dependencies of diameter-2.1.2: erts-6.4, kernel-3.2,
 ssl-6.0, stdlib-2.4


 ---------------------------------------------------------------------
 --- erts-9.1.3 ------------------------------------------------------
 ---------------------------------------------------------------------

 The erts-9.1.3 application can be applied independently of other
 applications on a full OTP 20 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-14672    Application(s): erts
               Related Id(s): ERL-494

               Added zlib:set_controlling_process/2 to move a
               zstream() between processes.


  OTP-14694    Application(s): erts

               Fix so that schedulers are bound correctly when the
               first available cpu is not the first detected cpu. e.g.
               when using "taskset -c X..Y" when X is not equal to 0.


 Full runtime dependencies of erts-9.1.3: kernel-5.0, sasl-3.0.1,
 stdlib-3.0


 ---------------------------------------------------------------------
 --- snmp-5.2.8 ------------------------------------------------------
 ---------------------------------------------------------------------

 The snmp-5.2.8 application can be applied independently of other
 applications on a full OTP 20 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-13372    Application(s): snmp
               Related Id(s): ERIERL-73

               The recbuf configuration option was not propagated
               correctly to the socket for the SNMP Manager.


 Full runtime dependencies of snmp-5.2.8: crypto-3.3, erts-6.0,
 kernel-3.0, mnesia-4.12, runtime_tools-1.8.14, stdlib-2.5


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions



_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions